﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ServiceModel;

namespace TestApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OnSubmit(object sender, RoutedEventArgs e)
        {
            DateTime date = picker.SelectedDate ?? DateTime.Now;
            decimal price = Convert.ToDecimal(txtPrice.Text);
            long q = Convert.ToInt64(txtQty.Text);
            SampleClient client = new SampleClient();
            try
            {
                bool r = client.NewOrder(date, price, q);
                MessageBox.Show(r ? "下单成功。" : "下单失败。");
            }
            catch(FaultException ftex)
            {
                MessageBox.Show(ftex.Reason.GetMatchingTranslation().Text);
            }
            finally
            {
                client.Close();
            }
        }
    }
}
